Inventor General Discussion

Reply
Mentor
CAD-One
Posts: 714
Registered: ‎10-26-2008
Message 1 of 8 (296 Views)
Accepted Solution

Search Dimension

296 Views, 7 Replies
06-21-2012 06:08 AM

I have a long model tree. In the Fx (Parameter dialog) I can see tons of d## numbers. I see one of it as d136. I want to know where in the model its used.

 

Possible?

C1
Inventor Professional 2013
Vault Collaboration 2013
Mentor
CAD-One
Posts: 714
Registered: ‎10-26-2008
Message 2 of 8 (275 Views)

Re: Search Dimension

06-21-2012 12:37 PM in reply to: CAD-One

There should be a way !!

Come-on, Autodesk ?

C1
Inventor Professional 2013
Vault Collaboration 2013
*Expert Elite*
Curtis_Waguespack
Posts: 2,811
Registered: ‎03-08-2006
Message 3 of 8 (271 Views)

Re: Search Dimension

06-21-2012 12:46 PM in reply to: CAD-One

Hi CAD-One,

 

I have a rough iLogic rule to do this, but it's a bit buggy. If I have time to clean it up, would iLogic work for you?

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com




  solution.png  Did you find this reply helpful ? If so please use the Accept as Solution or  Kudos button below.





Contributor
vandargo
Posts: 23
Registered: ‎09-16-2008
Message 4 of 8 (266 Views)

Re: Search Dimension

06-21-2012 01:04 PM in reply to: CAD-One

I tried this quickly, and it seemed to point me to the sketch I needed anyway.  Go to the "find" button.  Under property select "sketch parameter name", and for the condition, select "contains".  Type the search parameter (d136) and  Add to the search list, and hit "find now".  The sketch containing the dimension should highlight.  From here, edit the sketch to show dims, which you can do by changing the dimension display to name instead of value.

 

Hope that helps.  Not as quick and slick as maybe right clicking on the value in the parameter list, and zeroing in on it from there.

*Expert Elite*
Curtis_Waguespack
Posts: 2,811
Registered: ‎03-08-2006
Message 5 of 8 (260 Views)

Re: Search Dimension

06-21-2012 01:52 PM in reply to: Curtis_Waguespack

Hi CAD-One,

 

Here's an ilogic rule to search for parameters. It's not promised to be perfect, but it seems to be working fairly smoothly now. Attached is an example file also.

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com

 

 

Dim oDoc As Inventor.PartDocument
Dim TargetName As String
Dim oCompDef As Inventor.PartComponentDefinition
Dim oSketch As PlanarSketch
Dim oFeature As PartFeature
Dim oConstr As DimensionConstraint
Dim oParams As Parameters 
Dim oModelParam As ModelParameter
Dim oParam As Parameter
Dim oCmdMgr As CommandManager
Dim oSet1 As Inventor.HighLightSet
Dim oFound As Boolean


‘get the Inventor user name from the Inventor Options
myName= ThisApplication.GeneralOptions.UserName

oDoc = ThisApplication.ActiveDocument
oCompDef = oDoc.ComponentDefinition
oParams = oCompDef.Parameters 

oSet1 = oDoc.CreateHighlightSet
TargetName = InputBox("Enter the name of the paramter you wish to find.", "iLogic", "")

For Each oSketch In oCompDef.Sketches
    For Each oConstr In oSketch.DimensionConstraints
    	If oConstr.Parameter.Name = TargetName Then
	oSketch.Edit
	oDoc.SelectSet.Select(oSketch)
	ThisApplication.CommandManager.ControlDefinitions.Item("AppZoomSelectCmd").Execute
	ThisApplication.CommandManager.ControlDefinitions.Item("AppLookAtCmd").Execute
	ThisApplication.ActiveView.Update()
	oSet1.AddItem(oConstr)
	oSet1.SetColor(255,0,0)
	MessageBox.Show("Hi " & myName & ",  " & vblf & _
	TargetName & vblf & "is highlighted.", "iLogic")
	oFound = True	
    	End If
    Next
Next

If oFound = True then
Return
Else
For Each oFeature In oCompDef.Features
	For Each oParam in oFeature.Parameters
	            If oParam.Name = TargetName Then
		oDoc.SelectSet.Select(oFeature)
		ThisApplication.CommandManager.ControlDefinitions.Item("AppZoomSelectCmd").Execute
		ThisApplication.ActiveView.Update()
		oSet1.AddItem(oFeature)
		oSet1.SetColor(255,0,0)
		MessageBox.Show("Hi " & myName & ",  " & vblf & _
		TargetName & vblf & "is located in: " & vblf & oFeature.Name, "iLogic")
		oFound = True	
		End If
	Next
Next
End if

If oFound <> True then
MessageBox.Show("A model parameter named:  " _
& vblf & TargetName & vblf & "was NOT found.", "iLogic")
End if 


  solution.png  Did you find this reply helpful ? If so please use the Accept as Solution or  Kudos button below.





Mentor
CAD-One
Posts: 714
Registered: ‎10-26-2008
Message 6 of 8 (247 Views)

Re: Search Dimension

06-21-2012 03:25 PM in reply to: CAD-One
Guys,
You are amazing. Thanks for the help. I will try them soon.
Thx
C1
Inventor Professional 2013
Vault Collaboration 2013
*Pro
sbixler
Posts: 1,870
Registered: ‎09-15-2003
Message 7 of 8 (234 Views)

Re: Search Dimension

06-22-2012 04:01 AM in reply to: CAD-One

In the paramaters dialog box, hover your cursor over the parameter name (d136 in your example).  Do you get a tooltip with info about where the parameter is used?

Mentor
CAD-One
Posts: 714
Registered: ‎10-26-2008
Message 8 of 8 (226 Views)

Re: Search Dimension

06-22-2012 04:49 AM in reply to: CAD-One
Awesome tip dude ! Never noticed it.

That makes it easier.
C1
Inventor Professional 2013
Vault Collaboration 2013

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Inventor Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for Autodesk Inventor helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Inventor

Twitter

Facebook

Blogs

Pinterest

Youtube